import { EmptyObj, WSEndpoint } from '../websocket';

export enum UserMessageType {
    CREATE = 'user.create',
}

type NewUserData = {
    id: string,
    token: string
}

export type UserAPI = {
    [UserMessageType.CREATE]: WSEndpoint<EmptyObj, NewUserData>
}