import { WSEndpointMiddleware } from '../websocket';

export const handshakeMiddleware: WSEndpointMiddleware = (req, _, next) => {
    const { id } = req.body;

    if (!id) {
        next({ code: 400, message: 'Handshake incomplete' });
    }

    next();
};