import { IAuthDataServices, AuthData } from './IAuthDataService';

export class InMemoryAuthDataServices implements IAuthDataServices {
    private authData: AuthData | null = null;

    public saveData(data: AuthData) {
        this.authData = data;
    }

    public clearData(): void {
        this.authData = null;
    }

    public getData(): AuthData | null {
        return this.authData;
    }

}