import { WSPacketError } from 'wetube-common';

export class ErrorResponse {

    public static get BadRequest(): WSPacketError {
        return { code: 400, message: 'Bad request' };
    }

    public static get UnauthorizedRequest(): WSPacketError {
        return { code: 401, message: 'Unauthorized request' };
    }

    public static get ServerError(): WSPacketError {
        return { code: 500, message: 'Internal server error' };
    }

}